| NUC472_NUC442_BSP V3.04.000 The Board Support Package for NUC472/NUC442

Data Fields
CRPT_T Struct Reference

`#include <NUC472_442.h>`

## Data Fields
__IO uint32_t | INTEN
__IO uint32_t | INTSTS
__IO uint32_t | PRNG_CTL
__O uint32_t | PRNG_SEED
__I uint32_t | PRNG_KEY0
__I uint32_t | PRNG_KEY1
__I uint32_t | PRNG_KEY2
__I uint32_t | PRNG_KEY3
__I uint32_t | PRNG_KEY4
__I uint32_t | PRNG_KEY5
__I uint32_t | PRNG_KEY6
__I uint32_t | PRNG_KEY7
__I uint32_t | AES_FDBCK0
__I uint32_t | AES_FDBCK1
__I uint32_t | AES_FDBCK2
__I uint32_t | AES_FDBCK3
__I uint32_t | TDES_FDBCKH
__I uint32_t | TDES_FDBCKL
__IO uint32_t | AES_CTL
__I uint32_t | AES_STS
__IO uint32_t | AES_DATIN
__I uint32_t | AES_DATOUT
__IO uint32_t | AES0_KEY0
__IO uint32_t | AES0_KEY1
__IO uint32_t | AES0_KEY2
__IO uint32_t | AES0_KEY3
__IO uint32_t | AES0_KEY4
__IO uint32_t | AES0_KEY5
__IO uint32_t | AES0_KEY6
__IO uint32_t | AES0_KEY7
__IO uint32_t | AES0_IV0
__IO uint32_t | AES0_IV1
__IO uint32_t | AES0_IV2
__IO uint32_t | AES0_IV3
__IO uint32_t | AES0_SADDR
__IO uint32_t | AES0_DADDR
__IO uint32_t | AES0_CNT
__IO uint32_t | AES1_KEY0
__IO uint32_t | AES1_KEY1
__IO uint32_t | AES1_KEY2
__IO uint32_t | AES1_KEY3
__IO uint32_t | AES1_KEY4
__IO uint32_t | AES1_KEY5
__IO uint32_t | AES1_KEY6
__IO uint32_t | AES1_KEY7
__IO uint32_t | AES1_IV0
__IO uint32_t | AES1_IV1
__IO uint32_t | AES1_IV2
__IO uint32_t | AES1_IV3
__IO uint32_t | AES1_SADDR
__IO uint32_t | AES1_DADDR
__IO uint32_t | AES1_CNT
__IO uint32_t | AES2_KEY0
__IO uint32_t | AES2_KEY1
__IO uint32_t | AES2_KEY2
__IO uint32_t | AES2_KEY3
__IO uint32_t | AES2_KEY4
__IO uint32_t | AES2_KEY5
__IO uint32_t | AES2_KEY6
__IO uint32_t | AES2_KEY7
__IO uint32_t | AES2_IV0
__IO uint32_t | AES2_IV1
__IO uint32_t | AES2_IV2
__IO uint32_t | AES2_IV3
__IO uint32_t | AES2_SADDR
__IO uint32_t | AES2_DADDR
__IO uint32_t | AES2_CNT
__IO uint32_t | AES3_KEY0
__IO uint32_t | AES3_KEY1
__IO uint32_t | AES3_KEY2
__IO uint32_t | AES3_KEY3
__IO uint32_t | AES3_KEY4
__IO uint32_t | AES3_KEY5
__IO uint32_t | AES3_KEY6
__IO uint32_t | AES3_KEY7
__IO uint32_t | AES3_IV0
__IO uint32_t | AES3_IV1
__IO uint32_t | AES3_IV2
__IO uint32_t | AES3_IV3
__IO uint32_t | AES3_SADDR
__IO uint32_t | AES3_DADDR
__IO uint32_t | AES3_CNT
__IO uint32_t | TDES_CTL
__I uint32_t | TDES_STS
__IO uint32_t | TDES0_KEY1H
__IO uint32_t | TDES0_KEY1L
__IO uint32_t | TDES0_KEY2H
__IO uint32_t | TDES0_KEY2L
__IO uint32_t | TDES0_KEY3H
__IO uint32_t | TDES0_KEY3L
__IO uint32_t | TDES0_IVH
__IO uint32_t | TDES0_IVL
__IO uint32_t | TDES0_SADDR
__IO uint32_t | TDES0_DADDR
__IO uint32_t | TDES0_CNT
__IO uint32_t | TDES_DATIN
__I uint32_t | TDES_DATOUT
__IO uint32_t | TDES1_KEY1H
__IO uint32_t | TDES1_KEY1L
__IO uint32_t | TDES1_KEY2H
__IO uint32_t | TDES1_KEY2L
__IO uint32_t | TDES1_KEY3H
__IO uint32_t | TDES1_KEY3L
__IO uint32_t | TDES1_IVH
__IO uint32_t | TDES1_IVL
__IO uint32_t | TDES1_SADDR
__IO uint32_t | TDES1_DADDR
__IO uint32_t | TDES1_CNT
__IO uint32_t | TDES2_KEY1H
__IO uint32_t | TDES2_KEY1L
__IO uint32_t | TDES2_KEY2H
__IO uint32_t | TDES2_KEY2L
__IO uint32_t | TDES2_KEY3H
__IO uint32_t | TDES2_KEY3L
__IO uint32_t | TDES2_IVH
__IO uint32_t | TDES2_IVL
__IO uint32_t | TDES2_SADDR
__IO uint32_t | TDES2_DADDR
__IO uint32_t | TDES2_CNT
__IO uint32_t | TDES3_KEY1H
__IO uint32_t | TDES3_KEY1L
__IO uint32_t | TDES3_KEY2H
__IO uint32_t | TDES3_KEY2L
__IO uint32_t | TDES3_KEY3H
__IO uint32_t | TDES3_KEY3L
__IO uint32_t | TDES3_IVH
__IO uint32_t | TDES3_IVL
__IO uint32_t | TDES3_SADDR
__IO uint32_t | TDES3_DADDR
__IO uint32_t | TDES3_CNT
__IO uint32_t | SHA_CTL
__I uint32_t | SHA_STS
__I uint32_t | SHA_DGST0
__I uint32_t | SHA_DGST1
__I uint32_t | SHA_DGST2
__I uint32_t | SHA_DGST3
__I uint32_t | SHA_DGST4
__I uint32_t | SHA_DGST5
__I uint32_t | SHA_DGST6
__I uint32_t | SHA_DGST7
__IO uint32_t | SHA_KEYCNT
__IO uint32_t | SHA_SADDR
__IO uint32_t | SHA_DMACNT
__IO uint32_t | SHA_DATIN

## Detailed Description

    @addtogroup CRPT Cryptographic Accelerator(CRPT)
    Memory Mapped Structure for CRPT Controller

Definition at line 4123 of file NUC472_442.h.

The documentation for this struct was generated from the following file:

- Device/Nuvoton/NUC472_442/Include/NUC472_442.h